/*	Application		Adder			
	File			Adder.cpp
	Purpose			Demonstration of a simple program, stream IO, pipes 
	Author			Richard John Anthony
	Date			December 2013
	
	Function		1. Accepts two numbers typed on the keyboard
					2. Adds the numbers together
					3. Outputs the sum of the two numbers
*/

#include "stdafx.h"
#include <iostream>

using namespace std;

int _tmain(int argc, _TCHAR* argv[])
{
	// Input two numbers from the input stream
	int iFirstNumber;
	int iSecondNumber;	
	cin >> iFirstNumber;
	cin >> iSecondNumber;

	// Add the numbers
	int iTotal = iFirstNumber + iSecondNumber;

	// Output the result onto the output stream
	cout << iTotal;
 
	// Note that this process will exit immediately after printing the total onto the output stream.
	// Run the program from a command window to see the behaviour properly.
	// The program can also be run by right-clicking on it in a file-explorer window. In this case a command window will be opened automatically, 
	// but since this will be the only process running in the window, as soon as the process closes, so too will the window.
	return 0;
}

