/*	Application		Doubler			
	File			Doubler.cpp
	Purpose			Demonstration of a simple program, stream IO, pipes 
	Author			Richard John Anthony
	Date			December 2013
	
	Function		1. Accepts one number typed on the keyboard
					2. Doubles the value of the number
					3. Outputs the result
*/

#include "stdafx.h"
#include <iostream>

using namespace std;

int _tmain(int argc, _TCHAR* argv[])
{
	// Input a number from the input stream
	int iNumber;
	cin >> iNumber;
	
	// Double the number
	int iResult = iNumber * 2;

	// Output the result onto the output stream
	cout << iResult;
 
	// Note that this process will exit immediately after printing the total onto the output stream.
	// Run the program from a command window to see the behaviour properly.
	// The program can also be run by right-clicking on it in a file-explorer window. In this case a command window will be opened automatically, 
	// but since this will be the only process running in the window, as soon as the process closes, so too will the window.
	return 0;
}

