/*	Application		IPC sender-side using socket (UDP)		
	File			IPC_socket_Sender.h
	Purpose			Demonstration of local IPC, using a blocking socket (on the receiving side)
	Author			Richard John Anthony
	Date			December 2013
*/

#pragma once

#define SEND_BUFFER_SIZE 100

// Function declarations
bool InitialiseWindowsSocketsMechanism(void);
bool CreateSocket(void);
void SetUpSendAddressStructFor_LocalLoopback(void);
bool SendMessage(void);
void CloseSocketAndExit(void);

// Global variables
SOCKET m_SendSOCKET;	// Create a SOCKET variable to hold a reference to the created socket
char m_szSendBuf[SEND_BUFFER_SIZE];
int m_iSendLen;
SOCKADDR_IN m_SendSockAddr;	// Create a SOCKADDR_IN variable to hold the recipient's address
							// i.e. the address we are sending to
string m_UserInput;